#!/bin/bash
echo "开始"

echo "$(date "+%Y-%m-%d %H:%M:%S") 更新环境变量..."
cd ~ && source .bash_profile
echo "$(date "+%Y-%m-%d %H:%M:%S") 更新环境变量完成！"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在杀进程..."
# shellcheck disable=SC2009
# ps aux | grep run_shipinhao
ps aux | grep run_kdjsfq.py | grep -v grep | awk '{print $2}' | xargs kill -9
# shellcheck disable=SC2009
#ps aux | grep run_shipinhao_recommend.py | grep -v grep | awk '{print $2}' | xargs kill -9
echo "$(date "+%Y-%m-%d %H:%M:%S") 进程已杀死！"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在更新代码..."
cd /Users/lieyunye/Desktop/crawler/crawler_kandaojiushifuqi/ && git pull origin master --force && rm -f nohup.log
echo "$(date "+%Y-%m-%d %H:%M:%S") 代码更新完成！"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在重启Appium..."
# shellcheck disable=SC2009
ps aux | grep Appium.app | grep -v grep | awk '{print $2}' | xargs kill -9
nohup /usr/local/bin/node /Applications/Appium.app/Contents/Resources/app/node_modules/appium/build/lib/main.js >>./nohup.log 2>&1 &
#nohup /opt/homebrew/bin/node /Applications/Appium.app/Contents/Resources/app/node_modules/appium/build/lib/main.js >>/Users/wangkun/Desktop/logs/nohup.log 2>&1 &
echo "$(date "+%Y-%m-%d %H:%M:%S") 重启Appium完毕!"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在重启adb..."
adb kill-server
adb start-server
echo "$(date "+%Y-%m-%d %H:%M:%S") 重启adb完毕!"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在重启服务..."
nohup python3 -u main/run_kdjsfq.py >>./nohup.log 2>&1 &
echo "$(date "+%Y-%m-%d %H:%M:%S") 服务重启完毕!"
exit 0
